=== debian/changelog ===
ocamlnet (4.1.2-3) unstable; urgency=medium

  * Team upload.
  * Add patch from upstream to support Nettle 3.4+ (Closes: #887577)

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 27 Jan 2018 20:22:54 +0100

ocamlnet (4.1.2-2) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Import upstream patch to build with opaque files, instead of
    installing cmx files. Should fix approx FTBFS.
  * Revert previous patch. Building with opaque doesn't resolve
    approx FTBFS. Ship cmx files instead.

  [ Stéphane Glondu ]
  * Add support for O_KEEPEXEC (upstream fix for OCaml 4.05)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jul 2017 22:09:30 +0200

ocamlnet (4.1.2-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Aug 2016 12:32:33 +0200
