=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=uversionmangle=s/&#48\x3b/0/ \
http://download.camlcity.org/download/ocamlnet-(.*)\.tar\.gz
