=== debian/changelog ===
ocamlnet (4.1.6-1build6) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:32:50 +0000

ocamlnet (4.1.6-1build5) focal; urgency=medium

  * No-change rebuild for new ocaml ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Feb 2020 00:40:06 +0000

ocamlnet (4.1.6-1build4) focal; urgency=medium

  * No-change rebuild against libnettle7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Oct 2019 22:12:57 +0000

ocamlnet (4.1.6-1build3) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:04:36 +0000

ocamlnet (4.1.6-1build2) eoan; urgency=medium

  * No-change rebuild against libfindlib-ocaml-cfdg9

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 22 Aug 2019 06:55:49 +0000

ocamlnet (4.1.6-1build1) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2019 15:13:28 +0200

ocamlnet (4.1.6-1) unstable; urgency=medium

  * New upstream release
  * Remove libcryptgps-ocaml-dev from Build-Depends
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12

 -- Stéphane Glondu <glondu@debian.org>  Mon, 12 Aug 2019 16:12:54 +0200

ocamlnet (4.1.2-4) unstable; urgency=high

  * Force rebuild of all packages on buildds
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Fri, 02 Aug 2019 10:17:53 +0200
