=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: ocamlnet
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 12),
  dh-ocaml (>= 0.9),
  dh-apache2,
  ocaml-nox (>= 4),
@@ -14,14 +15,13 @@
  libfindlib-ocaml-dev,
  libpcre-ocaml-dev (>= 6.0.1-2~),
  liblablgtk2-ocaml-dev (>= 2.12.0-4~),
- libcryptgps-ocaml-dev (>= 0.2.1-7~),
  libzip-ocaml-dev,
  libgnutls28-dev,
  apache2-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.4.0
 Homepage: http://projects.camlcity.org/projects/ocamlnet.html
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocamlnet.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocamlnet.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlnet.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlnet
 
 Package: libocamlnet-ocaml-dev
 Architecture: any
