=== debian/rules ===
--- 
+++ 
@@ -56,9 +56,8 @@
 override_dh_auto_clean: Makefile.conf
 	$(MAKE) distclean
 
-.PHONY: override_dh_install
-override_dh_install:
-	dh_install --fail-missing -X.so.owner -Xmod_netcgi_apache.so
+override_dh_missing:
+	dh_missing --fail-missing -X.so.owner -Xmod_netcgi_apache.so
 
 .PHONY: override_dh_compress
 override_dh_compress:
